/* Generated by re2c 0.9.1-C on Sun Aug 19 06:02:02 2007
 */
#line 1 "./modules/parsers/gas/gas-token.re"
/*
 * GAS-compatible re2c lexer
 *
 *  Copyright (C) 2005-2007  Peter Johnson
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of other contributors
 *    may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND OTHER CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR OTHER CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
#include <util.h>
RCSID("$Id: gas-token.re 1876 2007-06-02 21:50:51Z peter $");

#define YASM_LIB_INTERNAL
#include <libyasm.h>

#include "modules/parsers/gas/gas-parser.h"


#define BSIZE	8192

#define YYCURSOR	cursor
#define YYLIMIT		(s->lim)
#define YYMARKER	(s->ptr)
#define YYFILL(n)	{cursor = fill(parser_gas, cursor);}

#define RETURN(i)	{s->cur = cursor; parser_gas->tokch = s->tok[0]; \
			 return i;}

#define SCANINIT()	{s->tok = cursor;}

#define TOK		((char *)s->tok)
#define TOKLEN		(size_t)(cursor-s->tok)

static size_t
rept_input(yasm_parser_gas *parser_gas, /*@out@*/ YYCTYPE *buf,
	   size_t max_size)
{
    gas_rept *rept = parser_gas->rept;
    size_t numleft = max_size;
    YYCTYPE *bufp = buf;

    /* If numrept is 0, copy out just the line end characters */
    if (rept->numrept == 0) {
	/* Skip first line, which contains .line */
	rept->line = STAILQ_NEXT(rept->line, link);
	if (!rept->line) {
	    rept->numrept = 1;
	    rept->numdone = 1;
	}
	while (rept->numrept == 0 && numleft > 0) {
	    *bufp++ = rept->line->data[rept->line->len-1];
	    rept->line = STAILQ_NEXT(rept->line, link);
	    if (!rept->line) {
		rept->numrept = 1;
		rept->numdone = 1;
	    }
	}
    }

    /* Copy out the previous fill buffer until we're *really* done */
    if (rept->numdone == rept->numrept) {
	size_t numcopy = rept->oldbuflen - rept->oldbufpos;
	if (numcopy > numleft)
	    numcopy = numleft;
	memcpy(bufp, &rept->oldbuf[rept->oldbufpos], numcopy);
	numleft -= numcopy;
	bufp += numcopy;
	rept->oldbufpos += numcopy;

	if (rept->oldbufpos == rept->oldbuflen) {
	    /* Delete lines, then delete rept and clear rept state */
	    gas_rept_line *cur, *next;
	    cur = STAILQ_FIRST(&rept->lines);
	    while (cur) {
		next = STAILQ_NEXT(cur, link);
		yasm_xfree(cur->data);
		yasm_xfree(cur);
		cur = next;
	    }
	    yasm_xfree(rept->oldbuf);
	    yasm_xfree(rept);
	    parser_gas->rept = NULL;
	}
    }

    while (numleft > 0 && rept->numdone < rept->numrept) {
	/* Copy from line data to buf */
	size_t numcopy = rept->line->len - rept->linepos;
	if (numcopy > numleft)
	    numcopy = numleft;
	memcpy(bufp, &rept->line->data[rept->linepos], numcopy);
	numleft -= numcopy;
	bufp += numcopy;
	rept->linepos += numcopy;

	/* Update locations if needed */
	if (rept->linepos == rept->line->len) {
	    rept->line = STAILQ_NEXT(rept->line, link);
	    rept->linepos = 0;
	}
	if (rept->line == NULL) {
	    rept->numdone++;
	    rept->line = STAILQ_FIRST(&rept->lines);
	}
    }

    return (max_size-numleft);
}
#if 0
static size_t
fill_input(void *d, unsigned char *buf, size_t max)
{
    return yasm_preproc_input((yasm_preproc *)d, (char *)buf, max);
}
#endif
static YYCTYPE *
fill(yasm_parser_gas *parser_gas, YYCTYPE *cursor)
{
    yasm_scanner *s = &parser_gas->s;
    int first = 0;
    if(!s->eof){
	size_t cnt = s->tok - s->bot;
	if(cnt){
	    memmove(s->bot, s->tok, (size_t)(s->lim - s->tok));
	    s->tok = s->bot;
	    s->ptr -= cnt;
	    cursor -= cnt;
	    s->lim -= cnt;
	}
	if (!s->bot)
	    first = 1;
	if((s->top - s->lim) < BSIZE){
	    YYCTYPE *buf = yasm_xmalloc((size_t)(s->lim - s->bot) + BSIZE);
	    memcpy(buf, s->tok, (size_t)(s->lim - s->tok));
	    s->tok = buf;
	    s->ptr = &buf[s->ptr - s->bot];
	    cursor = &buf[cursor - s->bot];
	    s->lim = &buf[s->lim - s->bot];
	    s->top = &s->lim[BSIZE];
	    if (s->bot)
		yasm_xfree(s->bot);
	    s->bot = buf;
	}
	if (parser_gas->rept && parser_gas->rept->ended) {
	    /* Pull from rept lines instead of preproc */
	    cnt = rept_input(parser_gas, s->lim, BSIZE);
	} else if((cnt = yasm_preproc_input(parser_gas->preproc,
					    (char *)s->lim, BSIZE)) == 0) {
	    s->eof = &s->lim[cnt]; *s->eof++ = '\n';
	}
	s->lim += cnt;
	if (first && parser_gas->save_input) {
	    int i;
	    YYCTYPE *saveline;
	    parser_gas->save_last ^= 1;
	    saveline = parser_gas->save_line[parser_gas->save_last];
	    /* save next line into cur_line */
	    for (i=0; i<79 && &s->tok[i] < s->lim && s->tok[i] != '\n'; i++)
		saveline[i] = s->tok[i];
	    saveline[i] = '\0';
	}
    }
    return cursor;
}

static YYCTYPE *
save_line(yasm_parser_gas *parser_gas, YYCTYPE *cursor)
{
    yasm_scanner *s = &parser_gas->s;
    int i = 0;
    YYCTYPE *saveline;

    parser_gas->save_last ^= 1;
    saveline = parser_gas->save_line[parser_gas->save_last];

    /* save next line into cur_line */
    if ((YYLIMIT - YYCURSOR) < 80)
	YYFILL(80);
    for (i=0; i<79 && &cursor[i] < s->lim && cursor[i] != '\n'; i++)
	saveline[i] = cursor[i];
    saveline[i] = '\0';
    return cursor;
}

/* starting size of string buffer */
#define STRBUF_ALLOC_SIZE	128

/* string buffer used when parsing strings/character constants */
static YYCTYPE *strbuf = NULL;

/* length of strbuf (including terminating NULL character) */
static size_t strbuf_size = 0;

static void
strbuf_append(size_t count, YYCTYPE *cursor, yasm_scanner *s, int ch)
{
    if (count >= strbuf_size) {
	strbuf = yasm_xrealloc(strbuf, strbuf_size + STRBUF_ALLOC_SIZE);
	strbuf_size += STRBUF_ALLOC_SIZE;
    }
    strbuf[count] = ch;
}

#line 233 "./modules/parsers/gas/gas-token.re"



int
gas_parser_lex(YYSTYPE *lvalp, yasm_parser_gas *parser_gas)
{
    /*@null@*/ gas_rept *rept = parser_gas->rept;
    yasm_scanner *s = &parser_gas->s;
    YYCTYPE *cursor = s->cur;
    size_t count;
    YYCTYPE savech;
    int linestart;
    gas_rept_line *new_line;

    /* Handle one token of lookahead */
    if (parser_gas->peek_token != NONE) {
	int tok = parser_gas->peek_token;
	*lvalp = parser_gas->peek_tokval;  /* structure copy */
	parser_gas->tokch = parser_gas->peek_tokch;
	parser_gas->peek_token = NONE;
	return tok;
    }

    /* Catch EOF */
    if (s->eof && cursor == s->eof)
	return 0;

    /* Handle rept */
    if (rept && !rept->ended)
	goto rept_directive;

    /* Jump to proper "exclusive" states */
    switch (parser_gas->state) {
	case COMMENT:
	    goto comment;
	case SECTION_DIRECTIVE:
	    goto section_directive;
	default:
	    break;
    }

scan:
    SCANINIT();

    {
	static unsigned char yybm[] = {
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   3,   0,   2,   2,   3,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  3,   2,   2,   2,   6,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   6,   2, 
	254, 254, 190, 190, 190, 190, 190, 190, 
	158, 158,   2,   2,   2,   2,   2,   2, 
	  2, 142, 142, 142, 142, 142, 142,  14, 
	 14,  14,  14,  14,  14,  14,  14,  14, 
	 14,  14,  14,  14,  14,  14,  14,  14, 
	 14,  14,  14,   2,   2,   2,   2,   6, 
	  2, 142, 142, 142, 142, 142, 142,  14, 
	 14,  14,  14,  14,  14,  14,  14,  14, 
	 14,  14,  14,  14,  14,  14,  14,  14, 
	 14,  14,  14,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	  2,   2,   2,   2,   2,   2,   2,   2, 
	};

#line 308 "gas-token.c"
{
	YYCTYPE yych;
	unsigned int yyaccept;
	goto yy0;
	++YYCURSOR;
yy0:
	if((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	if(yych <= '0'){
		if(yych <= '"'){
			if(yych <= '\f'){
				if(yych <= '\b')	goto yy31;
				if(yych <= '\t')	goto yy27;
				if(yych <= '\n')	goto yy29;
				goto yy31;
			} else {
				if(yych <= '\037'){
					if(yych <= '\r')	goto yy27;
					goto yy31;
				} else {
					if(yych <= ' ')	goto yy27;
					if(yych <= '!')	goto yy13;
					goto yy7;
				}
			}
		} else {
			if(yych <= '&'){
				if(yych <= '#')	goto yy25;
				if(yych == '%')	goto yy21;
				goto yy13;
			} else {
				if(yych <= '-'){
					if(yych <= '\'')	goto yy5;
					goto yy13;
				} else {
					if(yych <= '.')	goto yy18;
					if(yych <= '/')	goto yy15;
					goto yy2;
				}
			}
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '<'){
				if(yych <= '9')	goto yy4;
				if(yych <= ':')	goto yy13;
				if(yych <= ';')	goto yy16;
				goto yy9;
			} else {
				if(yych <= '>'){
					if(yych <= '=')	goto yy13;
					goto yy11;
				} else {
					if(yych <= '?')	goto yy31;
					if(yych <= '@')	goto yy13;
					goto yy23;
				}
			}
		} else {
			if(yych <= 'z'){
				if(yych <= '^'){
					if(yych <= ']')	goto yy31;
					goto yy13;
				} else {
					if(yych <= '_')	goto yy20;
					if(yych <= '`')	goto yy31;
					goto yy23;
				}
			} else {
				if(yych <= '|'){
					if(yych <= '{')	goto yy31;
					goto yy13;
				} else {
					if(yych == '~')	goto yy13;
					goto yy31;
				}
			}
		}
	}
yy2:	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 32) {
		goto yy279;
	}
	if(yych <= 'X'){
		if(yych <= 'F'){
			if(yych == 'B')	goto yy282;
			if(yych >= 'D')	goto yy276;
			goto yy3;
		} else {
			if(yych == 'T')	goto yy276;
			if(yych >= 'X')	goto yy278;
			goto yy3;
		}
	} else {
		if(yych <= 'f'){
			if(yych == 'b')	goto yy282;
			if(yych >= 'd')	goto yy276;
			goto yy3;
		} else {
			if(yych <= 't'){
				if(yych >= 't')	goto yy276;
				goto yy3;
			} else {
				if(yych == 'x')	goto yy278;
				goto yy3;
			}
		}
	}
yy3:
#line 279 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    lvalp->intn = yasm_intnum_create_dec(TOK);
	    s->tok[TOKLEN] = savech;
	    RETURN(INTNUM);
	}
#line 427 "gas-token.c"
yy4:	yych = *++YYCURSOR;
	goto yy275;
yy5:	yych = *++YYCURSOR;
	goto yy6;
yy6:
#line 325 "./modules/parsers/gas/gas-token.re"
{
	    goto charconst;
	}
#line 437 "gas-token.c"
yy7:	yych = *++YYCURSOR;
	goto yy8;
yy8:
#line 330 "./modules/parsers/gas/gas-token.re"
{
	    goto stringconst;
	}
#line 445 "gas-token.c"
yy9:	yych = *++YYCURSOR;
	if(yych == '<')	goto yy272;
	goto yy10;
yy10:
#line 337 "./modules/parsers/gas/gas-token.re"
{ RETURN(LEFT_OP); }
#line 452 "gas-token.c"
yy11:	yych = *++YYCURSOR;
	if(yych == '>')	goto yy270;
	goto yy12;
yy12:
#line 338 "./modules/parsers/gas/gas-token.re"
{ RETURN(RIGHT_OP); }
#line 459 "gas-token.c"
yy13:	yych = *++YYCURSOR;
	goto yy14;
yy14:
#line 339 "./modules/parsers/gas/gas-token.re"
{ RETURN(s->tok[0]); }
#line 465 "gas-token.c"
yy15:	yych = *++YYCURSOR;
	if(yych == '*')	goto yy268;
	goto yy14;
yy16:	yych = *++YYCURSOR;
	goto yy17;
yy17:
#line 340 "./modules/parsers/gas/gas-token.re"
{
	    parser_gas->state = INITIAL;
	    RETURN(s->tok[0]);
	}
#line 477 "gas-token.c"
yy18:	yych = *++YYCURSOR;
	switch(yych){
	case '1':	goto yy48;
	case '2':	goto yy49;
	case '4':	goto yy50;
	case '8':	goto yy51;
	case 'A':	case 'a':	goto yy52;
	case 'B':	case 'b':	goto yy53;
	case 'C':	case 'c':	goto yy54;
	case 'D':	case 'd':	goto yy55;
	case 'E':	case 'e':	goto yy56;
	case 'F':	case 'f':	goto yy57;
	case 'H':	case 'h':	goto yy58;
	case 'I':	case 'i':	goto yy59;
	case 'L':	case 'l':	goto yy60;
	case 'O':	case 'o':	goto yy61;
	case 'P':	case 'p':	goto yy62;
	case 'Q':	case 'q':	goto yy63;
	case 'R':	case 'r':	goto yy64;
	case 'S':	case 's':	goto yy65;
	case 'T':	case 't':	goto yy66;
	case 'U':	case 'u':	goto yy67;
	case 'V':	case 'v':	goto yy68;
	case 'W':	case 'w':	goto yy69;
	case 'Z':	case 'z':	goto yy70;
	default:	goto yy47;
	}
yy19:
#line 491 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->str_val = yasm__xstrndup(TOK, TOKLEN);
	    RETURN(ID);
	}
#line 511 "gas-token.c"
yy20:	yych = *++YYCURSOR;
	goto yy47;
yy21:	yych = *++YYCURSOR;
	if(yybm[0+yych] & 8) {
		goto yy43;
	}
	goto yy22;
yy22:
#line 576 "./modules/parsers/gas/gas-token.re"
{
	    yasm_warn_set(YASM_WARN_UNREC_CHAR,
			  N_("ignoring unrecognized character `%s'"),
			  yasm__conv_unprint(s->tok[0]));
	    goto scan;
	}
#line 527 "gas-token.c"
yy23:	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 4) {
		goto yy36;
	}
	if(yych <= '\r'){
		if(yych == '\t')	goto yy38;
		if(yych >= '\r')	goto yy38;
		goto yy24;
	} else {
		if(yych <= ' '){
			if(yych >= ' ')	goto yy38;
			goto yy24;
		} else {
			if(yych == ':')	goto yy41;
			goto yy24;
		}
	}
yy24:
#line 537 "./modules/parsers/gas/gas-token.re"
{
	    /* Can only be an instruction/prefix when not inside an
	     * instruction or directive.
	     */
	    if (parser_gas->state != INSTDIR) {
		savech = s->tok[TOKLEN];
		s->tok[TOKLEN] = '\0';
		switch (yasm_arch_parse_check_insnprefix
			(p_object->arch, lvalp->arch_data, TOK, TOKLEN)) {
		    case YASM_ARCH_INSN:
			s->tok[TOKLEN] = savech;
			parser_gas->state = INSTDIR;
			RETURN(INSN);
		    case YASM_ARCH_PREFIX:
			s->tok[TOKLEN] = savech;
			RETURN(PREFIX);
		    default:
			s->tok[TOKLEN] = savech;
		}
	    }
	    /* Propagate errors in case we got a warning from the arch */
	    yasm_errwarn_propagate(parser_gas->errwarns, cur_line);
	    /* Just an identifier, return as such. */
	    lvalp->str_val = yasm__xstrndup(TOK, TOKLEN);
	    RETURN(ID);
	}
#line 574 "gas-token.c"
yy25:	yych = *++YYCURSOR;
	goto yy35;
yy26:
#line 565 "./modules/parsers/gas/gas-token.re"
{ goto scan; }
#line 580 "gas-token.c"
yy27:	yych = *++YYCURSOR;
	goto yy33;
yy28:
#line 567 "./modules/parsers/gas/gas-token.re"
{ goto scan; }
#line 586 "gas-token.c"
yy29:	yych = *++YYCURSOR;
	goto yy30;
yy30:
#line 569 "./modules/parsers/gas/gas-token.re"
{
	    if (parser_gas->save_input)
		cursor = save_line(parser_gas, cursor);
	    parser_gas->state = INITIAL;
	    RETURN(s->tok[0]);
	}
#line 597 "gas-token.c"
yy31:	yych = *++YYCURSOR;
	goto yy22;
yy32:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy33;
yy33:	if(yybm[0+yych] & 1) {
		goto yy32;
	}
	goto yy28;
yy34:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy35;
yy35:	if(yybm[0+yych] & 2) {
		goto yy34;
	}
	goto yy26;
yy36:	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy37;
yy37:	if(yybm[0+yych] & 4) {
		goto yy36;
	}
	if(yych <= '\r'){
		if(yych == '\t')	goto yy38;
		if(yych <= '\f')	goto yy24;
		goto yy38;
	} else {
		if(yych <= ' '){
			if(yych <= '\037')	goto yy24;
			goto yy38;
		} else {
			if(yych == ':')	goto yy41;
			goto yy24;
		}
	}
yy38:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy39;
yy39:	if(yych <= '\r'){
		if(yych == '\t')	goto yy38;
		if(yych >= '\r')	goto yy38;
		goto yy40;
	} else {
		if(yych <= ' '){
			if(yych >= ' ')	goto yy38;
			goto yy40;
		} else {
			if(yych == ':')	goto yy41;
			goto yy40;
		}
	}
yy40:	YYCURSOR = YYMARKER;
	switch(yyaccept){
	case 0:	goto yy3;
	case 2:	goto yy277;
	case 1:	goto yy24;
	}
yy41:	yych = *++YYCURSOR;
	goto yy42;
yy42:
#line 525 "./modules/parsers/gas/gas-token.re"
{
	    /* strip off colon and any whitespace */
	    count = TOKLEN-1;
	    while (s->tok[count] == ' ' || s->tok[count] == '\t'
		   || s->tok[count] == '\r')
		count--;
	    /* Just an identifier, return as such. */
	    lvalp->str_val = yasm__xstrndup(TOK, count);
	    RETURN(LABEL);
	}
#line 674 "gas-token.c"
yy43:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy44;
yy44:	if(yybm[0+yych] & 8) {
		goto yy43;
	}
	goto yy45;
yy45:
#line 497 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    switch (yasm_arch_parse_check_regtmod
		    (p_object->arch, lvalp->arch_data, TOK+1, TOKLEN-1)) {
		case YASM_ARCH_REG:
		    s->tok[TOKLEN] = savech;
		    RETURN(REG);
		case YASM_ARCH_REGGROUP:
		    s->tok[TOKLEN] = savech;
		    RETURN(REGGROUP);
		case YASM_ARCH_SEGREG:
		    s->tok[TOKLEN] = savech;
		    RETURN(SEGREG);
		default:
		    break;
	    }
	    yasm_error_set(YASM_ERROR_GENERAL,
			   N_("Unrecognized register name `%s'"), s->tok);
	    s->tok[TOKLEN] = savech;
	    lvalp->arch_data[0] = 0;
	    lvalp->arch_data[1] = 0;
	    lvalp->arch_data[2] = 0;
	    lvalp->arch_data[3] = 0;
	    RETURN(REG);
	}
#line 711 "gas-token.c"
yy46:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy47;
yy47:	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy19;
		} else {
			if(yych == '/')	goto yy19;
			goto yy46;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy19;
			if(yych <= 'Z')	goto yy46;
			goto yy19;
		} else {
			if(yych == '`')	goto yy19;
			if(yych <= 'z')	goto yy46;
			goto yy19;
		}
	}
yy48:	yych = *++YYCURSOR;
	if(yych == '6')	goto yy262;
	goto yy47;
yy49:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy257;
	if(yych == 'b')	goto yy257;
	goto yy47;
yy50:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy252;
	if(yych == 'b')	goto yy252;
	goto yy47;
yy51:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy247;
	if(yych == 'b')	goto yy247;
	goto yy47;
yy52:	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych == 'L')	goto yy235;
		if(yych <= 'R')	goto yy47;
		goto yy236;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy47;
			goto yy235;
		} else {
			if(yych == 's')	goto yy236;
			goto yy47;
		}
	}
yy53:	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych <= 'R'){
			if(yych == 'A')	goto yy222;
			goto yy47;
		} else {
			if(yych <= 'S')	goto yy224;
			if(yych <= 'X')	goto yy47;
			goto yy223;
		}
	} else {
		if(yych <= 'r'){
			if(yych == 'a')	goto yy222;
			goto yy47;
		} else {
			if(yych <= 's')	goto yy224;
			if(yych == 'y')	goto yy223;
			goto yy47;
		}
	}
yy54:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy218;
	if(yych == 'o')	goto yy218;
	goto yy47;
yy55:	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych == 'A')	goto yy209;
		if(yych <= 'N')	goto yy47;
		goto yy208;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy47;
			goto yy209;
		} else {
			if(yych == 'o')	goto yy208;
			goto yy47;
		}
	}
yy56:	yych = *++YYCURSOR;
	if(yych <= 'Q'){
		if(yych == 'N')	goto yy201;
		if(yych <= 'P')	goto yy47;
		goto yy202;
	} else {
		if(yych <= 'n'){
			if(yych <= 'm')	goto yy47;
			goto yy201;
		} else {
			if(yych == 'q')	goto yy202;
			goto yy47;
		}
	}
yy57:	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych == 'I')	goto yy191;
		if(yych <= 'K')	goto yy47;
		goto yy190;
	} else {
		if(yych <= 'i'){
			if(yych <= 'h')	goto yy47;
			goto yy191;
		} else {
			if(yych == 'l')	goto yy190;
			goto yy47;
		}
	}
yy58:	yych = *++YYCURSOR;
	if(yych == 'W')	goto yy185;
	if(yych == 'w')	goto yy185;
	goto yy47;
yy59:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy182;
	if(yych == 'n')	goto yy182;
	goto yy47;
yy60:	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= 'H'){
			if(yych == 'C')	goto yy166;
			goto yy47;
		} else {
			if(yych <= 'I')	goto yy167;
			if(yych <= 'N')	goto yy47;
			goto yy165;
		}
	} else {
		if(yych <= 'h'){
			if(yych == 'c')	goto yy166;
			goto yy47;
		} else {
			if(yych <= 'i')	goto yy167;
			if(yych == 'o')	goto yy165;
			goto yy47;
		}
	}
yy61:	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych == 'C')	goto yy159;
		if(yych <= 'Q')	goto yy47;
		goto yy158;
	} else {
		if(yych <= 'c'){
			if(yych <= 'b')	goto yy47;
			goto yy159;
		} else {
			if(yych == 'r')	goto yy158;
			goto yy47;
		}
	}
yy62:	yych = *++YYCURSOR;
	if(yych == '2')	goto yy151;
	goto yy47;
yy63:	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy147;
	if(yych == 'u')	goto yy147;
	goto yy47;
yy64:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy143;
	if(yych == 'e')	goto yy143;
	goto yy47;
yy65:	yych = *++YYCURSOR;
	switch(yych){
	case 'E':	case 'e':	goto yy105;
	case 'H':	case 'h':	goto yy101;
	case 'I':	case 'i':	goto yy104;
	case 'K':	case 'k':	goto yy106;
	case 'L':	case 'l':	goto yy103;
	case 'P':	case 'p':	goto yy107;
	case 'T':	case 't':	goto yy102;
	default:	goto yy47;
	}
yy66:	yych = *++YYCURSOR;
	if(yych <= 'F'){
		if(yych <= 'D')	goto yy47;
		if(yych <= 'E')	goto yy92;
		goto yy91;
	} else {
		if(yych <= 'd')	goto yy47;
		if(yych <= 'e')	goto yy92;
		if(yych <= 'f')	goto yy91;
		goto yy47;
	}
yy67:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy84;
	if(yych == 'l')	goto yy84;
	goto yy47;
yy68:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy79;
	if(yych == 'a')	goto yy79;
	goto yy47;
yy69:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy75;
	if(yych == 'o')	goto yy75;
	goto yy47;
yy70:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy71;
	if(yych != 'e')	goto yy47;
	goto yy71;
yy71:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy72;
	if(yych != 'r')	goto yy47;
	goto yy72;
yy72:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy73;
	if(yych != 'o')	goto yy47;
	goto yy73;
yy73:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy74;
		} else {
			if(yych != '/')	goto yy46;
			goto yy74;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy74;
			if(yych <= 'Z')	goto yy46;
			goto yy74;
		} else {
			if(yych == '`')	goto yy74;
			if(yych <= 'z')	goto yy46;
			goto yy74;
		}
	}
yy74:
#line 483 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_ZERO); }
#line 952 "gas-token.c"
yy75:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy76;
	if(yych != 'r')	goto yy47;
	goto yy76;
yy76:	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy77;
	if(yych != 'd')	goto yy47;
	goto yy77;
yy77:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy78;
		} else {
			if(yych != '/')	goto yy46;
			goto yy78;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy78;
			if(yych <= 'Z')	goto yy46;
			goto yy78;
		} else {
			if(yych == '`')	goto yy78;
			if(yych <= 'z')	goto yy46;
			goto yy78;
		}
	}
yy78:
#line 404 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = yasm_arch_wordsize(p_object->arch)/8;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 987 "gas-token.c"
yy79:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy80;
	if(yych != 'l')	goto yy47;
	goto yy80;
yy80:	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy81;
	if(yych != 'u')	goto yy47;
	goto yy81;
yy81:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy82;
	if(yych != 'e')	goto yy47;
	goto yy82;
yy82:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy83;
		} else {
			if(yych != '/')	goto yy46;
			goto yy83;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy83;
			if(yych <= 'Z')	goto yy46;
			goto yy83;
		} else {
			if(yych == '`')	goto yy83;
			if(yych <= 'z')	goto yy46;
			goto yy83;
		}
	}
yy83:
#line 416 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 2; /* XXX: At least on x86, this is 2 bytes */
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1026 "gas-token.c"
yy84:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy85;
	if(yych != 'e')	goto yy47;
	goto yy85;
yy85:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy86;
	if(yych != 'b')	goto yy47;
	goto yy86;
yy86:	yych = *++YYCURSOR;
	if(yych != '1')	goto yy47;
	goto yy87;
yy87:	yych = *++YYCURSOR;
	if(yych != '2')	goto yy47;
	goto yy88;
yy88:	yych = *++YYCURSOR;
	if(yych != '8')	goto yy47;
	goto yy89;
yy89:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy90;
		} else {
			if(yych != '/')	goto yy46;
			goto yy90;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy90;
			if(yych <= 'Z')	goto yy46;
			goto yy90;
		} else {
			if(yych == '`')	goto yy90;
			if(yych <= 'z')	goto yy46;
			goto yy90;
		}
	}
yy90:
#line 438 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 0; /* unsigned */
	    parser_gas->state = INSTDIR; RETURN(DIR_LEB128);
	}
#line 1070 "gas-token.c"
yy91:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy96;
	if(yych == 'l')	goto yy96;
	goto yy47;
yy92:	yych = *++YYCURSOR;
	if(yych == 'X')	goto yy93;
	if(yych != 'x')	goto yy47;
	goto yy93;
yy93:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy94;
	if(yych != 't')	goto yy47;
	goto yy94;
yy94:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy95;
		} else {
			if(yych != '/')	goto yy46;
			goto yy95;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy95;
			if(yych <= 'Z')	goto yy46;
			goto yy95;
		} else {
			if(yych == '`')	goto yy95;
			if(yych <= 'z')	goto yy46;
			goto yy95;
		}
	}
yy95:
#line 468 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->str_val = yasm__xstrdup(".text");
	    RETURN(DIR_SECTNAME);
	}
#line 1109 "gas-token.c"
yy96:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy97;
	if(yych != 'o')	goto yy47;
	goto yy97;
yy97:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy98;
	if(yych != 'a')	goto yy47;
	goto yy98;
yy98:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy99;
	if(yych != 't')	goto yy47;
	goto yy99;
yy99:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy100;
		} else {
			if(yych != '/')	goto yy46;
			goto yy100;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy100;
			if(yych <= 'Z')	goto yy46;
			goto yy100;
		} else {
			if(yych == '`')	goto yy100;
			if(yych <= 'z')	goto yy46;
			goto yy100;
		}
	}
yy100:
#line 455 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 10;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1148 "gas-token.c"
yy101:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy139;
	if(yych == 'o')	goto yy139;
	goto yy47;
yy102:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy134;
	if(yych == 'r')	goto yy134;
	goto yy47;
yy103:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy128;
	if(yych == 'e')	goto yy128;
	goto yy47;
yy104:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy123;
	if(yych == 'n')	goto yy123;
	goto yy47;
yy105:	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych == 'C')	goto yy115;
		if(yych <= 'S')	goto yy47;
		goto yy116;
	} else {
		if(yych <= 'c'){
			if(yych <= 'b')	goto yy47;
			goto yy115;
		} else {
			if(yych == 't')	goto yy116;
			goto yy47;
		}
	}
yy106:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy112;
	if(yych == 'i')	goto yy112;
	goto yy47;
yy107:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy108;
	if(yych != 'a')	goto yy47;
	goto yy108;
yy108:	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy109;
	if(yych != 'c')	goto yy47;
	goto yy109;
yy109:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy110;
	if(yych != 'e')	goto yy47;
	goto yy110;
yy110:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy111;
		} else {
			if(yych != '/')	goto yy46;
			goto yy111;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy111;
			if(yych <= 'Z')	goto yy46;
			goto yy111;
		} else {
			if(yych == '`')	goto yy111;
			if(yych <= 'z')	goto yy46;
			goto yy111;
		}
	}
yy111:
#line 481 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_SKIP); }
#line 1218 "gas-token.c"
yy112:	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy113;
	if(yych != 'p')	goto yy47;
	goto yy113;
yy113:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy114;
		} else {
			if(yych != '/')	goto yy46;
			goto yy114;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy114;
			if(yych <= 'Z')	goto yy46;
			goto yy114;
		} else {
			if(yych == '`')	goto yy114;
			if(yych <= 'z')	goto yy46;
			goto yy114;
		}
	}
yy114:
#line 480 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_SKIP); }
#line 1246 "gas-token.c"
yy115:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy118;
	if(yych == 't')	goto yy118;
	goto yy47;
yy116:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy117;
		} else {
			if(yych != '/')	goto yy46;
			goto yy117;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy117;
			if(yych <= 'Z')	goto yy46;
			goto yy117;
		} else {
			if(yych == '`')	goto yy117;
			if(yych <= 'z')	goto yy46;
			goto yy117;
		}
	}
yy117:
#line 488 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_EQU); }
#line 1274 "gas-token.c"
yy118:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy119;
	if(yych != 'i')	goto yy47;
	goto yy119;
yy119:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy120;
	if(yych != 'o')	goto yy47;
	goto yy120;
yy120:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy121;
	if(yych != 'n')	goto yy47;
	goto yy121;
yy121:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy122;
		} else {
			if(yych != '/')	goto yy46;
			goto yy122;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy122;
			if(yych <= 'Z')	goto yy46;
			goto yy122;
		} else {
			if(yych == '`')	goto yy122;
			if(yych <= 'z')	goto yy46;
			goto yy122;
		}
	}
yy122:
#line 472 "./modules/parsers/gas/gas-token.re"
{
	    parser_gas->state = SECTION_DIRECTIVE;
	    RETURN(DIR_SECTION);
	}
#line 1313 "gas-token.c"
yy123:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy124;
	if(yych != 'g')	goto yy47;
	goto yy124;
yy124:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy125;
	if(yych != 'l')	goto yy47;
	goto yy125;
yy125:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy126;
	if(yych != 'e')	goto yy47;
	goto yy126;
yy126:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy127;
		} else {
			if(yych != '/')	goto yy46;
			goto yy127;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy127;
			if(yych <= 'Z')	goto yy46;
			goto yy127;
		} else {
			if(yych == '`')	goto yy127;
			if(yych <= 'z')	goto yy46;
			goto yy127;
		}
	}
yy127:
#line 447 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 4;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1352 "gas-token.c"
yy128:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy129;
	if(yych != 'b')	goto yy47;
	goto yy129;
yy129:	yych = *++YYCURSOR;
	if(yych != '1')	goto yy47;
	goto yy130;
yy130:	yych = *++YYCURSOR;
	if(yych != '2')	goto yy47;
	goto yy131;
yy131:	yych = *++YYCURSOR;
	if(yych != '8')	goto yy47;
	goto yy132;
yy132:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy133;
		} else {
			if(yych != '/')	goto yy46;
			goto yy133;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy133;
			if(yych <= 'Z')	goto yy46;
			goto yy133;
		} else {
			if(yych == '`')	goto yy133;
			if(yych <= 'z')	goto yy46;
			goto yy133;
		}
	}
yy133:
#line 434 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 1; /* signed */
	    parser_gas->state = INSTDIR; RETURN(DIR_LEB128);
	}
#line 1392 "gas-token.c"
yy134:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy135;
	if(yych != 'i')	goto yy47;
	goto yy135;
yy135:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy136;
	if(yych != 'n')	goto yy47;
	goto yy136;
yy136:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy137;
	if(yych != 'g')	goto yy47;
	goto yy137;
yy137:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy138;
		} else {
			if(yych != '/')	goto yy46;
			goto yy138;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy138;
			if(yych <= 'Z')	goto yy46;
			goto yy138;
		} else {
			if(yych == '`')	goto yy138;
			if(yych <= 'z')	goto yy46;
			goto yy138;
		}
	}
yy138:
#line 429 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 1; /* add terminating zero */
	    parser_gas->state = INSTDIR; RETURN(DIR_ASCII);
	}
#line 1431 "gas-token.c"
yy139:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy140;
	if(yych != 'r')	goto yy47;
	goto yy140;
yy140:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy141;
	if(yych != 't')	goto yy47;
	goto yy141;
yy141:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy142;
		} else {
			if(yych != '/')	goto yy46;
			goto yy142;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy142;
			if(yych <= 'Z')	goto yy46;
			goto yy142;
		} else {
			if(yych == '`')	goto yy142;
			if(yych <= 'z')	goto yy46;
			goto yy142;
		}
	}
yy142:
#line 388 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 2; /* TODO: This should depend on arch */
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1466 "gas-token.c"
yy143:	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy144;
	if(yych != 'p')	goto yy47;
	goto yy144;
yy144:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy145;
	if(yych != 't')	goto yy47;
	goto yy145;
yy145:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy146;
		} else {
			if(yych != '/')	goto yy46;
			goto yy146;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy146;
			if(yych <= 'Z')	goto yy46;
			goto yy146;
		} else {
			if(yych == '`')	goto yy146;
			if(yych <= 'z')	goto yy46;
			goto yy146;
		}
	}
yy146:
#line 477 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_REPT); }
#line 1498 "gas-token.c"
yy147:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy148;
	if(yych != 'a')	goto yy47;
	goto yy148;
yy148:	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy149;
	if(yych != 'd')	goto yy47;
	goto yy149;
yy149:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy150;
		} else {
			if(yych != '/')	goto yy46;
			goto yy150;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy150;
			if(yych <= 'Z')	goto yy46;
			goto yy150;
		} else {
			if(yych == '`')	goto yy150;
			if(yych <= 'z')	goto yy46;
			goto yy150;
		}
	}
yy150:
#line 408 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 8;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1533 "gas-token.c"
yy151:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy152;
	if(yych != 'a')	goto yy47;
	goto yy152;
yy152:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy153;
	if(yych != 'l')	goto yy47;
	goto yy153;
yy153:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy154;
	if(yych != 'i')	goto yy47;
	goto yy154;
yy154:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy155;
	if(yych != 'g')	goto yy47;
	goto yy155;
yy155:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy156;
	if(yych != 'n')	goto yy47;
	goto yy156;
yy156:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy157;
		} else {
			if(yych != '/')	goto yy46;
			goto yy157;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy157;
			if(yych <= 'Z')	goto yy46;
			goto yy157;
		} else {
			if(yych == '`')	goto yy157;
			if(yych <= 'z')	goto yy46;
			goto yy157;
		}
	}
yy157:
#line 354 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 1;
	    parser_gas->state = INSTDIR; RETURN(DIR_ALIGN);
	}
#line 1580 "gas-token.c"
yy158:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy163;
	if(yych == 'g')	goto yy163;
	goto yy47;
yy159:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy160;
	if(yych != 't')	goto yy47;
	goto yy160;
yy160:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy161;
	if(yych != 'a')	goto yy47;
	goto yy161;
yy161:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy162;
		} else {
			if(yych != '/')	goto yy46;
			goto yy162;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy162;
			if(yych <= 'Z')	goto yy46;
			goto yy162;
		} else {
			if(yych == '`')	goto yy162;
			if(yych <= 'z')	goto yy46;
			goto yy162;
		}
	}
yy162:
#line 412 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 16;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1619 "gas-token.c"
yy163:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy164;
		} else {
			if(yych != '/')	goto yy46;
			goto yy164;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy164;
			if(yych <= 'Z')	goto yy46;
			goto yy164;
		} else {
			if(yych == '`')	goto yy164;
			if(yych <= 'z')	goto yy46;
			goto yy164;
		}
	}
yy164:
#line 362 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_ORG); }
#line 1643 "gas-token.c"
yy165:	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'C')	goto yy175;
		if(yych <= 'M')	goto yy47;
		goto yy176;
	} else {
		if(yych <= 'c'){
			if(yych <= 'b')	goto yy47;
			goto yy175;
		} else {
			if(yych == 'n')	goto yy176;
			goto yy47;
		}
	}
yy166:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy171;
	if(yych == 'o')	goto yy171;
	goto yy47;
yy167:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy168;
	if(yych != 'n')	goto yy47;
	goto yy168;
yy168:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy169;
	if(yych != 'e')	goto yy47;
	goto yy169;
yy169:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy170;
		} else {
			if(yych != '/')	goto yy46;
			goto yy170;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy170;
			if(yych <= 'Z')	goto yy46;
			goto yy170;
		} else {
			if(yych == '`')	goto yy170;
			if(yych <= 'z')	goto yy46;
			goto yy170;
		}
	}
yy170:
#line 487 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_LINE); }
#line 1693 "gas-token.c"
yy171:	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy172;
	if(yych != 'm')	goto yy47;
	goto yy172;
yy172:	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy173;
	if(yych != 'm')	goto yy47;
	goto yy173;
yy173:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy174;
		} else {
			if(yych != '/')	goto yy46;
			goto yy174;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy174;
			if(yych <= 'Z')	goto yy46;
			goto yy174;
		} else {
			if(yych == '`')	goto yy174;
			if(yych <= 'z')	goto yy46;
			goto yy174;
		}
	}
yy174:
#line 366 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_LCOMM); }
#line 1725 "gas-token.c"
yy175:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy179;
	if(yych == 'a')	goto yy179;
	goto yy47;
yy176:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy177;
	if(yych != 'g')	goto yy47;
	goto yy177;
yy177:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy178;
		} else {
			if(yych != '/')	goto yy46;
			goto yy178;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy178;
			if(yych <= 'Z')	goto yy46;
			goto yy178;
		} else {
			if(yych == '`')	goto yy178;
			if(yych <= 'z')	goto yy46;
			goto yy178;
		}
	}
yy178:
#line 396 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 4; /* TODO: This should depend on arch */
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1760 "gas-token.c"
yy179:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy180;
	if(yych != 'l')	goto yy47;
	goto yy180;
yy180:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy181;
		} else {
			if(yych != '/')	goto yy46;
			goto yy181;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy181;
			if(yych <= 'Z')	goto yy46;
			goto yy181;
		} else {
			if(yych == '`')	goto yy181;
			if(yych <= 'z')	goto yy46;
			goto yy181;
		}
	}
yy181:
#line 364 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_LOCAL); }
#line 1788 "gas-token.c"
yy182:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy183;
	if(yych != 't')	goto yy47;
	goto yy183;
yy183:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy184;
		} else {
			if(yych != '/')	goto yy46;
			goto yy184;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy184;
			if(yych <= 'Z')	goto yy46;
			goto yy184;
		} else {
			if(yych == '`')	goto yy184;
			if(yych <= 'z')	goto yy46;
			goto yy184;
		}
	}
yy184:
#line 392 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 4; /* TODO: This should depend on arch */
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1819 "gas-token.c"
yy185:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy186;
	if(yych != 'o')	goto yy47;
	goto yy186;
yy186:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy187;
	if(yych != 'r')	goto yy47;
	goto yy187;
yy187:	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy188;
	if(yych != 'd')	goto yy47;
	goto yy188;
yy188:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy189;
		} else {
			if(yych != '/')	goto yy46;
			goto yy189;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy189;
			if(yych <= 'Z')	goto yy46;
			goto yy189;
		} else {
			if(yych == '`')	goto yy189;
			if(yych <= 'z')	goto yy46;
			goto yy189;
		}
	}
yy189:
#line 400 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 2; /* TODO: This should depend on arch */
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1858 "gas-token.c"
yy190:	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy197;
	if(yych == 'o')	goto yy197;
	goto yy47;
yy191:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy192;
	if(yych != 'l')	goto yy47;
	goto yy192;
yy192:	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych == 'E')	goto yy195;
		if(yych <= 'K')	goto yy47;
		goto yy193;
	} else {
		if(yych <= 'e'){
			if(yych <= 'd')	goto yy47;
			goto yy195;
		} else {
			if(yych != 'l')	goto yy47;
			goto yy193;
		}
	}
yy193:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy194;
		} else {
			if(yych != '/')	goto yy46;
			goto yy194;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy194;
			if(yych <= 'Z')	goto yy46;
			goto yy194;
		} else {
			if(yych == '`')	goto yy194;
			if(yych <= 'z')	goto yy46;
			goto yy194;
		}
	}
yy194:
#line 482 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_FILL); }
#line 1904 "gas-token.c"
yy195:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy196;
		} else {
			if(yych != '/')	goto yy46;
			goto yy196;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy196;
			if(yych <= 'Z')	goto yy46;
			goto yy196;
		} else {
			if(yych == '`')	goto yy196;
			if(yych <= 'z')	goto yy46;
			goto yy196;
		}
	}
yy196:
#line 486 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_FILE); }
#line 1928 "gas-token.c"
yy197:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy198;
	if(yych != 'a')	goto yy47;
	goto yy198;
yy198:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy199;
	if(yych != 't')	goto yy47;
	goto yy199;
yy199:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy200;
		} else {
			if(yych != '/')	goto yy46;
			goto yy200;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy200;
			if(yych <= 'Z')	goto yy46;
			goto yy200;
		} else {
			if(yych == '`')	goto yy200;
			if(yych <= 'z')	goto yy46;
			goto yy200;
		}
	}
yy200:
#line 443 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 4;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 1963 "gas-token.c"
yy201:	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy205;
	if(yych == 'd')	goto yy205;
	goto yy47;
yy202:	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy203;
	if(yych != 'u')	goto yy47;
	goto yy203;
yy203:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy204;
		} else {
			if(yych != '/')	goto yy46;
			goto yy204;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy204;
			if(yych <= 'Z')	goto yy46;
			goto yy204;
		} else {
			if(yych == '`')	goto yy204;
			if(yych <= 'z')	goto yy46;
			goto yy204;
		}
	}
yy204:
#line 485 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_EQU); }
#line 1995 "gas-token.c"
yy205:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy206;
	if(yych != 'r')	goto yy47;
	goto yy206;
yy206:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy207;
		} else {
			if(yych != '/')	goto yy46;
			goto yy207;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy207;
			if(yych <= 'Z')	goto yy46;
			goto yy207;
		} else {
			if(yych == '`')	goto yy207;
			if(yych <= 'z')	goto yy46;
			goto yy207;
		}
	}
yy207:
#line 478 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_ENDR); }
#line 2023 "gas-token.c"
yy208:	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy213;
	if(yych == 'u')	goto yy213;
	goto yy47;
yy209:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy210;
	if(yych != 't')	goto yy47;
	goto yy210;
yy210:	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy211;
	if(yych != 'a')	goto yy47;
	goto yy211;
yy211:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy212;
		} else {
			if(yych != '/')	goto yy46;
			goto yy212;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy212;
			if(yych <= 'Z')	goto yy46;
			goto yy212;
		} else {
			if(yych == '`')	goto yy212;
			if(yych <= 'z')	goto yy46;
			goto yy212;
		}
	}
yy212:
#line 464 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->str_val = yasm__xstrdup(".data");
	    RETURN(DIR_SECTNAME);
	}
#line 2062 "gas-token.c"
yy213:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy214;
	if(yych != 'b')	goto yy47;
	goto yy214;
yy214:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy215;
	if(yych != 'l')	goto yy47;
	goto yy215;
yy215:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy216;
	if(yych != 'e')	goto yy47;
	goto yy216;
yy216:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy217;
		} else {
			if(yych != '/')	goto yy46;
			goto yy217;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy217;
			if(yych <= 'Z')	goto yy46;
			goto yy217;
		} else {
			if(yych == '`')	goto yy217;
			if(yych <= 'z')	goto yy46;
			goto yy217;
		}
	}
yy217:
#line 451 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 8;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2101 "gas-token.c"
yy218:	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy219;
	if(yych != 'm')	goto yy47;
	goto yy219;
yy219:	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy220;
	if(yych != 'm')	goto yy47;
	goto yy220;
yy220:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy221;
		} else {
			if(yych != '/')	goto yy46;
			goto yy221;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy221;
			if(yych <= 'Z')	goto yy46;
			goto yy221;
		} else {
			if(yych == '`')	goto yy221;
			if(yych <= 'z')	goto yy46;
			goto yy221;
		}
	}
yy221:
#line 365 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INSTDIR; RETURN(DIR_COMM); }
#line 2133 "gas-token.c"
yy222:	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy230;
	if(yych == 'l')	goto yy230;
	goto yy47;
yy223:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy227;
	if(yych == 't')	goto yy227;
	goto yy47;
yy224:	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy225;
	if(yych != 's')	goto yy47;
	goto yy225;
yy225:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy226;
		} else {
			if(yych != '/')	goto yy46;
			goto yy226;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy226;
			if(yych <= 'Z')	goto yy46;
			goto yy226;
		} else {
			if(yych == '`')	goto yy226;
			if(yych <= 'z')	goto yy46;
			goto yy226;
		}
	}
yy226:
#line 460 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->str_val = yasm__xstrdup(".bss");
	    RETURN(DIR_SECTNAME);
	}
#line 2172 "gas-token.c"
yy227:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy228;
	if(yych != 'e')	goto yy47;
	goto yy228;
yy228:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy229;
		} else {
			if(yych != '/')	goto yy46;
			goto yy229;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy229;
			if(yych <= 'Z')	goto yy46;
			goto yy229;
		} else {
			if(yych == '`')	goto yy229;
			if(yych <= 'z')	goto yy46;
			goto yy229;
		}
	}
yy229:
#line 368 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 1;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2203 "gas-token.c"
yy230:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy231;
	if(yych != 'i')	goto yy47;
	goto yy231;
yy231:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy232;
	if(yych != 'g')	goto yy47;
	goto yy232;
yy232:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy233;
	if(yych != 'n')	goto yy47;
	goto yy233;
yy233:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy234;
		} else {
			if(yych != '/')	goto yy46;
			goto yy234;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy234;
			if(yych <= 'Z')	goto yy46;
			goto yy234;
		} else {
			if(yych == '`')	goto yy234;
			if(yych <= 'z')	goto yy46;
			goto yy234;
		}
	}
yy234:
#line 358 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 0;
	    parser_gas->state = INSTDIR; RETURN(DIR_ALIGN);
	}
#line 2242 "gas-token.c"
yy235:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy243;
	if(yych == 'i')	goto yy243;
	goto yy47;
yy236:	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy237;
	if(yych != 'c')	goto yy47;
	goto yy237;
yy237:	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy238;
	if(yych != 'i')	goto yy47;
	goto yy238;
yy238:	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == 'I')	goto yy239;
		if(yych <= 'Y')	goto yy47;
		goto yy241;
	} else {
		if(yych <= 'i'){
			if(yych <= 'h')	goto yy47;
			goto yy239;
		} else {
			if(yych == 'z')	goto yy241;
			goto yy47;
		}
	}
yy239:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy240;
		} else {
			if(yych != '/')	goto yy46;
			goto yy240;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy240;
			if(yych <= 'Z')	goto yy46;
			goto yy240;
		} else {
			if(yych == '`')	goto yy240;
			if(yych <= 'z')	goto yy46;
			goto yy240;
		}
	}
yy240:
#line 421 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 0; /* do not add terminating zero */
	    parser_gas->state = INSTDIR; RETURN(DIR_ASCII);
	}
#line 2295 "gas-token.c"
yy241:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy242;
		} else {
			if(yych != '/')	goto yy46;
			goto yy242;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy242;
			if(yych <= 'Z')	goto yy46;
			goto yy242;
		} else {
			if(yych == '`')	goto yy242;
			if(yych <= 'z')	goto yy46;
			goto yy242;
		}
	}
yy242:
#line 425 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 1; /* add terminating zero */
	    parser_gas->state = INSTDIR; RETURN(DIR_ASCII);
	}
#line 2322 "gas-token.c"
yy243:	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy244;
	if(yych != 'g')	goto yy47;
	goto yy244;
yy244:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy245;
	if(yych != 'n')	goto yy47;
	goto yy245;
yy245:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy246;
		} else {
			if(yych != '/')	goto yy46;
			goto yy246;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy246;
			if(yych <= 'Z')	goto yy46;
			goto yy246;
		} else {
			if(yych == '`')	goto yy246;
			if(yych <= 'z')	goto yy46;
			goto yy246;
		}
	}
yy246:
#line 347 "./modules/parsers/gas/gas-token.re"
{
	    /* FIXME: Whether this is power-of-two or not depends on arch and
	     * objfmt.
	     */
	    lvalp->int_info = 0;
	    parser_gas->state = INSTDIR; RETURN(DIR_ALIGN);
	}
#line 2360 "gas-token.c"
yy247:	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy248;
	if(yych != 'y')	goto yy47;
	goto yy248;
yy248:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy249;
	if(yych != 't')	goto yy47;
	goto yy249;
yy249:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy250;
	if(yych != 'e')	goto yy47;
	goto yy250;
yy250:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy251;
		} else {
			if(yych != '/')	goto yy46;
			goto yy251;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy251;
			if(yych <= 'Z')	goto yy46;
			goto yy251;
		} else {
			if(yych == '`')	goto yy251;
			if(yych <= 'z')	goto yy46;
			goto yy251;
		}
	}
yy251:
#line 380 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 8;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2399 "gas-token.c"
yy252:	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy253;
	if(yych != 'y')	goto yy47;
	goto yy253;
yy253:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy254;
	if(yych != 't')	goto yy47;
	goto yy254;
yy254:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy255;
	if(yych != 'e')	goto yy47;
	goto yy255;
yy255:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy256;
		} else {
			if(yych != '/')	goto yy46;
			goto yy256;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy256;
			if(yych <= 'Z')	goto yy46;
			goto yy256;
		} else {
			if(yych == '`')	goto yy256;
			if(yych <= 'z')	goto yy46;
			goto yy256;
		}
	}
yy256:
#line 376 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 4;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2438 "gas-token.c"
yy257:	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy258;
	if(yych != 'y')	goto yy47;
	goto yy258;
yy258:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy259;
	if(yych != 't')	goto yy47;
	goto yy259;
yy259:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy260;
	if(yych != 'e')	goto yy47;
	goto yy260;
yy260:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy261;
		} else {
			if(yych != '/')	goto yy46;
			goto yy261;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy261;
			if(yych <= 'Z')	goto yy46;
			goto yy261;
		} else {
			if(yych == '`')	goto yy261;
			if(yych <= 'z')	goto yy46;
			goto yy261;
		}
	}
yy261:
#line 372 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 2;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2477 "gas-token.c"
yy262:	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy263;
	if(yych != 'b')	goto yy47;
	goto yy263;
yy263:	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy264;
	if(yych != 'y')	goto yy47;
	goto yy264;
yy264:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy265;
	if(yych != 't')	goto yy47;
	goto yy265;
yy265:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy266;
	if(yych != 'e')	goto yy47;
	goto yy266;
yy266:	yych = *++YYCURSOR;
	if(yych <= '9'){
		if(yych <= '-'){
			if(yych == '$')	goto yy46;
			goto yy267;
		} else {
			if(yych != '/')	goto yy46;
			goto yy267;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '@')	goto yy267;
			if(yych <= 'Z')	goto yy46;
			goto yy267;
		} else {
			if(yych == '`')	goto yy267;
			if(yych <= 'z')	goto yy46;
			goto yy267;
		}
	}
yy267:
#line 384 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->int_info = 16;
	    parser_gas->state = INSTDIR; RETURN(DIR_DATA);
	}
#line 2520 "gas-token.c"
yy268:	yych = *++YYCURSOR;
	goto yy269;
yy269:
#line 564 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = COMMENT; goto comment; }
#line 2526 "gas-token.c"
yy270:	yych = *++YYCURSOR;
	goto yy271;
yy271:
#line 336 "./modules/parsers/gas/gas-token.re"
{ RETURN(RIGHT_OP); }
#line 2532 "gas-token.c"
yy272:	yych = *++YYCURSOR;
	goto yy273;
yy273:
#line 335 "./modules/parsers/gas/gas-token.re"
{ RETURN(LEFT_OP); }
#line 2538 "gas-token.c"
yy274:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy275;
yy275:	if(yybm[0+yych] & 16) {
		goto yy274;
	}
	goto yy3;
yy276:	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '+')	goto yy289;
	if(yych == '-')	goto yy289;
	goto yy290;
yy277:
#line 316 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    lvalp->flt = yasm_floatnum_create(TOK+2);
	    s->tok[TOKLEN] = savech;
	    RETURN(FLTNUM);
	}
#line 2561 "gas-token.c"
yy278:	yych = *++YYCURSOR;
	if(yybm[0+yych] & 128) {
		goto yy286;
	}
	goto yy40;
yy279:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy280;
yy280:	if(yybm[0+yych] & 32) {
		goto yy279;
	}
	goto yy281;
yy281:
#line 297 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    lvalp->intn = yasm_intnum_create_oct(TOK);
	    s->tok[TOKLEN] = savech;
	    RETURN(INTNUM);
	}
#line 2584 "gas-token.c"
yy282:	yych = *++YYCURSOR;
	if(yybm[0+yych] & 64) {
		goto yy283;
	}
	goto yy40;
yy283:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy284;
yy284:	if(yybm[0+yych] & 64) {
		goto yy283;
	}
	goto yy285;
yy285:
#line 288 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    lvalp->intn = yasm_intnum_create_bin(TOK+2);
	    s->tok[TOKLEN] = savech;
	    RETURN(INTNUM);
	}
#line 2607 "gas-token.c"
yy286:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy287;
yy287:	if(yybm[0+yych] & 128) {
		goto yy286;
	}
	goto yy288;
yy288:
#line 306 "./modules/parsers/gas/gas-token.re"
{
	    savech = s->tok[TOKLEN];
	    s->tok[TOKLEN] = '\0';
	    /* skip 0 and x */
	    lvalp->intn = yasm_intnum_create_hex(TOK+2);
	    s->tok[TOKLEN] = savech;
	    RETURN(INTNUM);
	}
#line 2626 "gas-token.c"
yy289:	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	goto yy290;
yy290:	if(yych <= '9'){
		if(yych == '.')	goto yy291;
		if(yych <= '/')	goto yy277;
		goto yy289;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy277;
			goto yy293;
		} else {
			if(yych == 'e')	goto yy293;
			goto yy277;
		}
	}
yy291:	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 3) YYFILL(3);
	yych = *YYCURSOR;
	goto yy292;
yy292:	if(yych <= 'D'){
		if(yych <= '/')	goto yy277;
		if(yych <= '9')	goto yy291;
		goto yy277;
	} else {
		if(yych <= 'E')	goto yy293;
		if(yych != 'e')	goto yy277;
		goto yy293;
	}
yy293:	yych = *++YYCURSOR;
	if(yych <= ','){
		if(yych != '+')	goto yy40;
		goto yy294;
	} else {
		if(yych <= '-')	goto yy294;
		if(yych <= '/')	goto yy40;
		if(yych <= '9')	goto yy295;
		goto yy40;
	}
yy294:	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy40;
	if(yych >= ':')	goto yy40;
	goto yy295;
yy295:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy296;
yy296:	if(yych <= '/')	goto yy277;
	if(yych <= '9')	goto yy295;
	goto yy277;
}
}
#line 582 "./modules/parsers/gas/gas-token.re"


    /* C-style comment; nesting not supported */
comment:
    SCANINIT();

    {

#line 2691 "gas-token.c"
{
	YYCTYPE yych;
	goto yy297;
	++YYCURSOR;
yy297:
	if((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if(yych == '\n')	goto yy301;
	if(yych != '*')	goto yy303;
	goto yy299;
yy299:	yych = *++YYCURSOR;
	if(yych == '/')	goto yy304;
	goto yy300;
yy300:
#line 598 "./modules/parsers/gas/gas-token.re"
{
	    if (cursor == s->eof)
		return 0;
	    goto comment;
	}
#line 2712 "gas-token.c"
yy301:	yych = *++YYCURSOR;
	goto yy302;
yy302:
#line 592 "./modules/parsers/gas/gas-token.re"
{
	    if (parser_gas->save_input)
		cursor = save_line(parser_gas, cursor);
	    RETURN(s->tok[0]);
	}
#line 2722 "gas-token.c"
yy303:	yych = *++YYCURSOR;
	goto yy300;
yy304:	yych = *++YYCURSOR;
	goto yy305;
yy305:
#line 590 "./modules/parsers/gas/gas-token.re"
{ parser_gas->state = INITIAL; goto scan; }
#line 2730 "gas-token.c"
}
}
#line 603 "./modules/parsers/gas/gas-token.re"


    /* .section directive (the section name portion thereof) */
section_directive:
    SCANINIT();

    {
	static unsigned char yybm[] = {
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,  64,   0,   0,   0,  64,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	 64,   0,   0,   0, 128,   0,   0,   0, 
	  0,   0,   0,   0,   0, 128, 128,   0, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128,   0,   0,   0,   0,   0,   0, 
	  0, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128,   0,   0,   0,   0, 128, 
	  0, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128, 128, 128, 128, 128, 128, 
	128, 128, 128,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	};

#line 2776 "gas-token.c"
{
	YYCTYPE yych;
	goto yy306;
	++YYCURSOR;
yy306:
	if((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if(yych <= '$'){
		if(yych <= '\r'){
			if(yych <= '\t'){
				if(yych <= '\b')	goto yy318;
				goto yy312;
			} else {
				if(yych <= '\n')	goto yy316;
				if(yych <= '\f')	goto yy318;
				goto yy312;
			}
		} else {
			if(yych <= '!'){
				if(yych == ' ')	goto yy312;
				goto yy318;
			} else {
				if(yych <= '"')	goto yy310;
				if(yych <= '#')	goto yy318;
				goto yy308;
			}
		}
	} else {
		if(yych <= '@'){
			if(yych <= '.'){
				if(yych <= '+')	goto yy318;
				if(yych <= ',')	goto yy314;
				goto yy308;
			} else {
				if(yych <= '/')	goto yy318;
				if(yych >= ':')	goto yy318;
				goto yy308;
			}
		} else {
			if(yych <= '_'){
				if(yych <= 'Z')	goto yy308;
				if(yych <= '^')	goto yy318;
				goto yy308;
			} else {
				if(yych <= '`')	goto yy318;
				if(yych >= '{')	goto yy318;
				goto yy308;
			}
		}
	}
yy308:	yych = *++YYCURSOR;
	goto yy323;
yy309:
#line 610 "./modules/parsers/gas/gas-token.re"
{
	    lvalp->str_val = yasm__xstrndup(TOK, TOKLEN);
	    parser_gas->state = INITIAL;
	    RETURN(ID);
	}
#line 2836 "gas-token.c"
yy310:	yych = *++YYCURSOR;
	goto yy311;
yy311:
#line 616 "./modules/parsers/gas/gas-token.re"
{ goto stringconst; }
#line 2842 "gas-token.c"
yy312:	yych = *++YYCURSOR;
	goto yy321;
yy313:
#line 618 "./modules/parsers/gas/gas-token.re"
{ goto section_directive; }
#line 2848 "gas-token.c"
yy314:	yych = *++YYCURSOR;
	goto yy315;
yy315:
#line 620 "./modules/parsers/gas/gas-token.re"
{
	    parser_gas->state = INITIAL;
	    RETURN(s->tok[0]);
	}
#line 2857 "gas-token.c"
yy316:	yych = *++YYCURSOR;
	goto yy317;
yy317:
#line 625 "./modules/parsers/gas/gas-token.re"
{
	    if (parser_gas->save_input)
		cursor = save_line(parser_gas, cursor);
	    parser_gas->state = INITIAL;
	    RETURN(s->tok[0]);
	}
#line 2868 "gas-token.c"
yy318:	yych = *++YYCURSOR;
	goto yy319;
yy319:
#line 632 "./modules/parsers/gas/gas-token.re"
{
	    yasm_warn_set(YASM_WARN_UNREC_CHAR,
			  N_("ignoring unrecognized character `%s'"),
			  yasm__conv_unprint(s->tok[0]));
	    goto section_directive;
	}
#line 2879 "gas-token.c"
yy320:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy321;
yy321:	if(yybm[0+yych] & 64) {
		goto yy320;
	}
	goto yy313;
yy322:	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy323;
yy323:	if(yybm[0+yych] & 128) {
		goto yy322;
	}
	goto yy309;
}
}
#line 638 "./modules/parsers/gas/gas-token.re"


    /* character constant values */
charconst:
    /*TODO*/

    /* string constant values */
stringconst:
    strbuf = yasm_xmalloc(STRBUF_ALLOC_SIZE);
    strbuf_size = STRBUF_ALLOC_SIZE;
    count = 0;

stringconst_scan:
    SCANINIT();

    {

#line 2916 "gas-token.c"
{
	YYCTYPE yych;
	goto yy324;
	++YYCURSOR;
yy324:
	if((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	if(yych == '"')	goto yy328;
	if(yych != '\\')	goto yy330;
	goto yy326;
yy326:	yych = *++YYCURSOR;
	if(yych == '"')	goto yy331;
	goto yy327;
yy327:
#line 675 "./modules/parsers/gas/gas-token.re"
{
	    if (cursor == s->eof) {
		yasm_error_set(YASM_ERROR_SYNTAX,
			       N_("unexpected end of file in string"));
		lvalp->str.contents = (char *)strbuf;
		lvalp->str.len = count;
		RETURN(STRING);
	    }
	    strbuf_append(count++, cursor, s, s->tok[0]);
	    goto stringconst_scan;
	}
#line 2943 "gas-token.c"
yy328:	yych = *++YYCURSOR;
	goto yy329;
yy329:
#line 667 "./modules/parsers/gas/gas-token.re"
{
	    strbuf_append(count, cursor, s, '\0');
	    yasm_unescape_cstring(strbuf, &count);
	    lvalp->str.contents = (char *)strbuf;
	    lvalp->str.len = count;
	    RETURN(STRING);
	}
#line 2955 "gas-token.c"
yy330:	yych = *++YYCURSOR;
	goto yy327;
yy331:	yych = *++YYCURSOR;
	goto yy332;
yy332:
#line 655 "./modules/parsers/gas/gas-token.re"
{
	    if (cursor == s->eof) {
		yasm_error_set(YASM_ERROR_SYNTAX,
			       N_("unexpected end of file in string"));
		lvalp->str.contents = (char *)strbuf;
		lvalp->str.len = count;
		RETURN(STRING);
	    }
	    strbuf_append(count++, cursor, s, '"');
	    goto stringconst_scan;
	}
#line 2973 "gas-token.c"
}
}
#line 686 "./modules/parsers/gas/gas-token.re"


rept_directive:
    strbuf = yasm_xmalloc(STRBUF_ALLOC_SIZE);
    strbuf_size = STRBUF_ALLOC_SIZE;
    count = 0;
    linestart = 1;


rept_scan:
    SCANINIT();

    {

#line 2991 "gas-token.c"
{
	YYCTYPE yych;
	unsigned int yyaccept;
	goto yy333;
	++YYCURSOR;
yy333:
	if((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	if(yych <= '-'){
		if(yych != '\n')	goto yy339;
		goto yy335;
	} else {
		if(yych <= '.')	goto yy337;
		if(yych != ';')	goto yy339;
		goto yy335;
	}
yy335:	yych = *++YYCURSOR;
	goto yy336;
yy336:
#line 699 "./modules/parsers/gas/gas-token.re"
{
	    /* Line ending, save in lines */
	    new_line = yasm_xmalloc(sizeof(gas_rept_line));
	    if (cursor == s->eof) {
		yasm_xfree(strbuf);
		return 0;
	    }
	    strbuf_append(count++, cursor, s, s->tok[0]);
	    new_line->data = strbuf;
	    new_line->len = count;
	    STAILQ_INSERT_TAIL(&rept->lines, new_line, link);
	    /* Allocate new strbuf */
	    strbuf = yasm_xmalloc(STRBUF_ALLOC_SIZE);
	    strbuf_size = STRBUF_ALLOC_SIZE;
	    count = 0;
	    /* Mark start of line */
	    linestart = 1;
	    goto rept_scan;
	}
#line 3031 "gas-token.c"
yy337:	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych == 'E')	goto yy340;
		if(yych >= 'R')	goto yy342;
		goto yy338;
	} else {
		if(yych <= 'e'){
			if(yych >= 'e')	goto yy340;
			goto yy338;
		} else {
			if(yych == 'r')	goto yy342;
			goto yy338;
		}
	}
yy338:
#line 778 "./modules/parsers/gas/gas-token.re"
{
	    if (cursor == s->eof) {
		yasm_xfree(strbuf);
		return 0;
	    }
	    strbuf_append(count++, cursor, s, s->tok[0]);
	    linestart = 0;
	    goto rept_scan;
	}
#line 3058 "gas-token.c"
yy339:	yych = *++YYCURSOR;
	goto yy338;
yy340:	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy347;
	if(yych == 'n')	goto yy347;
	goto yy341;
yy341:	YYCURSOR = YYMARKER;
	switch(yyaccept){
	case 0:	goto yy338;
	}
yy342:	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy343;
	if(yych != 'e')	goto yy341;
	goto yy343;
yy343:	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy344;
	if(yych != 'p')	goto yy341;
	goto yy344;
yy344:	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy345;
	if(yych != 't')	goto yy341;
	goto yy345;
yy345:	yych = *++YYCURSOR;
	goto yy346;
yy346:
#line 718 "./modules/parsers/gas/gas-token.re"
{
	    int i;
	    if (linestart) {
		/* We don't support nested right now, error */
		yasm_error_set(YASM_ERROR_GENERAL,
			       N_("nested rept not supported"));
		yasm_errwarn_propagate(parser_gas->errwarns, cur_line);
	    }
	    for (i=0; i<6; i++)
		strbuf_append(count++, cursor, s, s->tok[i]);
	    goto rept_scan;
	}
#line 3097 "gas-token.c"
yy347:	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy348;
	if(yych != 'd')	goto yy341;
	goto yy348;
yy348:	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy349;
	if(yych != 'r')	goto yy341;
	goto yy349;
yy349:	yych = *++YYCURSOR;
	goto yy350;
yy350:
#line 730 "./modules/parsers/gas/gas-token.re"
{
	    if (linestart) {
		/* We're done, kick off the main lexer */
		rept->line = STAILQ_FIRST(&rept->lines);
		if (!rept->line) {
		    /* Didn't get any intervening data?  Empty repeat, so
		     * don't even bother.
		     */
		    yasm_xfree(strbuf);
		    yasm_xfree(rept);
		    parser_gas->rept = NULL;
		} else {
		    rept->ended = 1;

		    /* Add .line as first line to get line numbers correct */
		    new_line = yasm_xmalloc(sizeof(gas_rept_line));
		    new_line->data = yasm_xmalloc(40);
		    sprintf((char *)new_line->data, ".line %lu;",
			    rept->startline+1);
		    new_line->len = strlen((char *)new_line->data);
		    STAILQ_INSERT_HEAD(&rept->lines, new_line, link);

		    /* Save previous fill buffer */
		    rept->oldbuf = parser_gas->s.bot;
		    rept->oldbuflen = s->lim - s->bot;
		    rept->oldbufpos = cursor - s->bot;

		    /* Reset fill */
		    s->bot = NULL;
		    s->tok = NULL;
		    s->ptr = NULL;
		    s->cur = NULL;
		    s->lim = NULL;
		    s->top = NULL;
		    s->eof = NULL;
		    cursor = NULL;
		    YYFILL(1);
		}

		goto scan;
	    } else {
		int i;
		for (i=0; i<6; i++)
		    strbuf_append(count++, cursor, s, s->tok[i]);
		goto rept_scan;
	    }
	}
#line 3157 "gas-token.c"
}
}
#line 787 "./modules/parsers/gas/gas-token.re"


}
